XkbGetXlibControls(3)

NAME
XkbGetXlibControls - Determines the current state of the Library Controls

SYNOPSIS
unsigned int XkbGetXlibControls ( display )
      Display *display;

ARGUMENTS

- display
    connection to X server

DESCRIPTION

XkbGetXlibControls returns the current state of the Library Controls as a bit mask that is an inclusive OR of the control masks from Table 1 for the controls that are enabled. For the optional compose processing controls, the fact that a control is enabled does not imply that it is actually implemented.
Table 1 Library Control Masks
Library Control Mask | Value
XkbLC_ForceLatin1Lookup | (1 << 0)
XkbLC_ConsumeLookupMods | (1 << 1)
XkbLC_AlwaysConsumeShiftAndLock | (1 << 2)
XkbLC_IgnoreNewKeyboards | (1 << 3)
XkbLC_ConsumeKeysOnComposeFail | (1 << 29)
XkbLC_ComposeLED | (1 << 30)
XkbLC_BeepOnComposeFail | (1 << 31)
XkbLC_AllControls | (0xc0000007)